Bug 830811 - Review Request: perl-No-Worries - Perl coding without worries
Review Request: perl-No-Worries - Perl coding without worries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 09:08 EDT by Massimo Paladin
Modified: 2012-06-30 21:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 14:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Massimo Paladin 2012-06-11 09:08:13 EDT
Spec URL: https://mpaladin.web.cern.ch/mpaladin/rpms/perl-No-Worries/perl-No-Worries.spec
SRPM URL: https://mpaladin.web.cern.ch/mpaladin/rpms/perl-No-Worries/perl-No-Worries-0.3-1.fc16.src.rpm
Description: This module and its sub-modules ease coding by providing consistent convenient functions to perform frequently used programming tasks.
Fedora Account System Username: mpaladin
Comment 1 Christos Triantafyllidis 2012-06-11 10:11:33 EDT
I'll do the reviewing on this.
Comment 2 Petr Šabata 2012-06-11 10:14:03 EDT
(In reply to comment #1)
> I'll do the reviewing on this.

You will?  I've already started...  Well, okay then.
Comment 3 Christos Triantafyllidis 2012-06-11 10:19:39 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > I'll do the reviewing on this.
> 
> You will?  I've already started...  Well, okay then.

Ooops... sorry! I thought the assignment of the owner on this ticket was due to wrong component that was selected :( (pachi instead of Package Review).

I'm not able to do it today or tomorrow so if you are able to proceed faster please go ahead.

I'm interested in getting this soon in the release so i'll do the karma/testing part.

Sorry once more,
Christos
Comment 4 Petr Šabata 2012-06-11 10:23:57 EDT
Yes, I guess I can do it now... on it :)
Comment 5 Petr Šabata 2012-06-11 10:57:08 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/830811/No-Worries-0.3.tar.gz :
  MD5SUM this package     : 2ad2012f15e7cc2994b05e594d3bdc23
  MD5SUM upstream package : 2ad2012f15e7cc2994b05e594d3bdc23
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

Issues:
TODO: Add perl(constant) to your BuildRequires.
TODO: Remove perl(Config), perl(Fcntl), perl(POSIX), and perl(Sys::Hostname) from your BuildRequires.  Those aren't individual packages on CPAN.
TODO: Drop the BuildRoot tag, the buildroot removal in %install, the %clean section unless you plan this for EPEL5.  Those are obsolete in Fedora.
TODO: Similarly, drop %defattr from %files unless you plan this for EPEL.

Also, why is this submitted by a different person than the original packager mentioned in the changelog?

No blockers but please fix the first TODO items.
Approving.

Generated by fedora-review 0.2.0git
External plugins:
Comment 6 Massimo Paladin 2012-06-11 11:41:56 EDT
Hi,

thanks for the super fast review.

The package will be pushed to EPEL5 so I modified the first 2 TODO:
Spec URL: https://mpaladin.web.cern.ch/mpaladin/rpms/perl-No-Worries/perl-No-Worries.spec
SRPM URL: https://mpaladin.web.cern.ch/mpaladin/rpms/perl-No-Worries/perl-No-Worries-0.3-2.fc16.src.rpm

About the packager name I left it only for the first time, now that I modified it I put my name.

Cheers,
-Massimo
Comment 7 Massimo Paladin 2012-06-12 03:13:40 EDT
Hi Petr,

can I go ahead? Do you want to check the latest changes first?
Comment 8 Petr Šabata 2012-06-12 04:06:36 EDT
Looks just fine, go ahead with it :)
Comment 9 Massimo Paladin 2012-06-12 04:10:12 EDT
New Package SCM Request
=======================
Package Name: perl-No-Worries
Short Description: Perl coding without worries
Owners: mpaladin
Branches: f16 f17 el5 el6
InitialCC: perl-sig
Comment 10 Gwyn Ciesla 2012-06-12 09:21:10 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2012-06-12 10:22:11 EDT
perl-No-Worries-0.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-No-Worries-0.3-2.el6
Comment 12 Fedora Update System 2012-06-12 10:22:22 EDT
perl-No-Worries-0.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-No-Worries-0.3-2.fc16
Comment 13 Fedora Update System 2012-06-12 10:22:32 EDT
perl-No-Worries-0.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-No-Worries-0.3-2.fc17
Comment 14 Fedora Update System 2012-06-12 10:22:43 EDT
perl-No-Worries-0.3-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-No-Worries-0.3-2.el5
Comment 15 Fedora Update System 2012-06-14 20:21:00 EDT
perl-No-Worries-0.3-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 16 Fedora Update System 2012-06-22 14:54:15 EDT
perl-No-Worries-0.3-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 17 Fedora Update System 2012-06-22 14:55:23 EDT
perl-No-Worries-0.3-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 18 Fedora Update System 2012-06-30 21:32:41 EDT
perl-No-Worries-0.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 19 Fedora Update System 2012-06-30 21:36:16 EDT
perl-No-Worries-0.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.